flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aj <ajainje...@gmail.com>
Subject upgrade flink from 1.9.1 to 1.10.0 on EMR
Date Tue, 07 Apr 2020 06:08:26 GMT
Hello All,

I am running Flink on AWS EMR, as currently the latest version available on
EMR is 1.9.1 but I want to upgrade to 1.10.0. I tried to manually replace
lib jars by downloading the 1.10.0 version but this is not working. I am
getting the following exception when trying to submit a job on yarn.

SLF4J: Actual binding is of type [org.slf4j.impl.Log4jLoggerFactory]
Exception in thread "main" java.lang.IllegalArgumentException: Invalid
rule: /L
      RULE:[2:$1@$0](.*@)s/@.*///L
      DEFAULT
        at
org.apache.hadoop.security.authentication.util.KerberosName.parseRules(KerberosName.java:321)
        at
org.apache.hadoop.security.authentication.util.KerberosName.setRules(KerberosName.java:386)
        at
org.apache.hadoop.security.HadoopKerberosName.setConfiguration(HadoopKerberosName.java:75)
        at
org.apache.hadoop.security.UserGroupInformation.initialize(UserGroupInformation.java:247)
        at
org.apache.hadoop.security.UserGroupInformation.ensureInitialized(UserGroupInformation.java:232)
        at
org.apache.hadoop.security.UserGroupInformation.loginUserFromSubject(UserGroupInformation.java:718)
        at
org.apache.hadoop.security.UserGroupInformation.getLoginUser(UserGroupInformation.java:703)
        at
org.apache.hadoop.security.UserGroupInformation.getCurrentUser(UserGroupInformation.java:605)
        at
org.apache.flink.yarn.entrypoint.YarnEntrypointUtils.logYarnEnvironmentInformation(YarnEntrypointUtils.java:136)
        at
org.apache.flink.yarn.entrypoint.YarnJobClusterEntrypoint.main(YarnJobClusterEntrypoint.java:109)
End of LogType:jobmanager.err


Please help to understand this error and how to resolve this.


-- 
Thanks & Regards,
Anuj Jain



<http://www.cse.iitm.ac.in/%7Eanujjain/>

Mime
View raw message